#! /usr/bin/env python2.4

"""perf.py wrapper for the classic Richards benchmark.

See richards.py for copyright and history information.
"""

__author__ = "fijall@gmail.com (Maciej Fijalkowski)"
__contact__ = "collinwinter@google.com (Collin Winter)"


# Python imports
import optparse
import time

# Local imports
import richards
import util
from compat import xrange


def test_richards(iterations, timer):
    # Warm-up
    r = richards.Richards()
    r.run(iterations=2)

    times = []
    for _ in xrange(iterations):
        t0 = timer()
        r.run(iterations=1)
        t1 = timer()
        times.append(t1 - t0)
    return times

if __name__ == "__main__":
    parser = optparse.OptionParser(
        usage="%prog [options]",
        description="Test the performance of the Richards benchmark")
    util.add_standard_options_to(parser)
    options, args = parser.parse_args()

    util.run_benchmark(options, options.num_runs, test_richards)
